Query Fiat Wallet Balance
Query the current user's fiat wallet balance.
HTTP Request
-
GET
/api/v3/fiat/merchant/asset -
Note: Request parameters must be appended to the URL query string in
key=value&key=valueformat. JSON-formatted parameters are not supported.
Required Permission: P2P Account Read
Request Parameters
None.
Response Parameters
| Name | Type | Description |
|---|---|---|
| coinId | string | Cryptocurrency ID |
| coinName | string | Cryptocurrency name or symbol, for example USDT, PEPE, or DOGE |
| totalBalance | string | The user's total P2P balance of this coin |
| availableBalance | string | The user's available balance of this coin that can be used for P2P operations |
| frozenBalance | string | The user's total frozen P2P balance of this coin. It may include amounts frozen for advertisement orders, margin, or other P2P holds. |
| orderFrozenBalance | string | Amount of this coin frozen by the user's P2P advertisements, aggregated from the advertisements' frozen_quantity values |
Response
{
"code": 0,
"msg": "success",
"data": [
{
"coinId": "5989b56ba96a43599dbeeca5bb053f43",
"coinName": "USDT",
"totalBalance": "1629.0717",
"availableBalance": "1000",
"frozenBalance": "629.0717",
"orderFrozenBalance": "600"
},
{
"coinId": "5989b56ba96a43599dbeeca5bb053f43",
"coinName": "PEPE",
"totalBalance": "11000000",
"availableBalance": "11000000",
"frozenBalance": "0",
"orderFrozenBalance": "0"
},
{
"coinId": "5989b56ba96a43599dbeeca5bb053f43",
"coinName": "DOGE",
"totalBalance": "0.00000001",
"availableBalance": "0.00000001",
"frozenBalance": "0",
"orderFrozenBalance": "0"
}
]
}